Subject: [pkix] draft-dolmatov-dnsext-dnssec-gost-01 technical & editorial issues (fwd)

From: Alfred Hönes <[email-masked]>
Date: Thu, 17 Sep 2009 12:40:40 +0200 (MESZ)

Folks,
I apologize for cross-posting, but the following excerpt of my
post to namedroppers might be of interest for PKIX and SMIME,
the originators of RFCs 4490 and 4491, for which I have filed
Errata -- in part to solicit discussion.

The full message is archived at:
  http://ops.IETF.ORG/lists/namedroppers/namedroppers.2009/msg02525.html

----- Forwarded message -----

> From: Alfred Hönes <[email-masked]>
> To: [email-masked], [email-masked], [email-masked],
>     [email-masked]
> Message-Id: <[email-masked]>
> Subject: draft-dolmatov-dnsext-dnssec-gost-01 technical & editorial issues
> Date: Thu, 17 Sep 2009 12:25:12 +0200 (MESZ)
>
> Folks,
>
> I have reviewed draft-dolmatov-dnsext-dnssec-gost-01 and found
> a number of issues of varying degree of severeness.
> Items (1)..(3) below are the hard stuff, the nits are in (4).
>
>
> (1)
>
> First of all, I'm confused by, and strongly oppose to, the
> introduction of little-endian encoding for the on-the-wire
> encoding of specific elements of this proposal, as requested
> by the last paragraph of Section 2 of this draft.
> This is incompatible with the Internet architecture and also
> with the ASN.1 framework quoted by the draft, which makes
> consistent use of "big-endian" (network) byte order.
>
> Unfortunately, the quoted related RFCs 4490 and 4491
> (cf. Section 4 of the draft) already have created bad precedents.
> I have filed Errata Notes for these RFCs (EIDs: 1884 and 1885).
> As noted there, mixed endianness within one protocol, or even
> within a single specification for an extension to a protocol
> is a very likely source of confusion, implementation errors,
> and, consequentially, interoperability problems.
> This practice should be avoided consistently.
>
>
> (2)
> ...
[snip]

----- End of forwarded message -----

Kind regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+